Page MenuHomeVyOS Platform

OSPF with WireGuard cause Route Inactive
Closed, ResolvedPublic

Description

https://forum.vyos.io/t/ospf-with-wireguard-route-inactive-in-vyos-1-3/4597

1.3-rolling use FRR with commit d7cce42cc78cfbe25e3cc19a612b1caee3c26809
So I test FRR stable 7.2 in Ubuntu 18.04 (FRR official build), it works fine
test FRR d7cce42cc in Ubuntu 18.04, it fails
test FRR branch dev/7.3 which is 4112bfee9f6abf8832d1f8cf9a7e4df9b29ef764 in Ubuntu 18.04, it works

I think FRR in vyos need to be upgraded to new version

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202001140217
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

StatusSubtypeAssignedTask
ResolvedFEATURE REQUESTc-po
Resolvedc-po

Event Timeline

rob created this task.Jan 19 2020, 3:13 PM
rob created this object in space S1 VyOS Public.
c-po added a subscriber: c-po.Jan 19 2020, 3:24 PM

FRR build triggered, please try next rolli g

pasik added a subscriber: pasik.Jan 20 2020, 9:54 PM

Hi @c-po

I have tested vyos 1.3-rolling-202002130217 (FRR version 7.4-dev-20200118-04-g9e1ecdbaa-0), it failed.
I tested ubuntu with frr master brnach(60092db3fdead2a72e9368aaaa1e789c741c7ce8) and dev/7.3 (df80bf16869314ec9455fb7e4db63dcf1fdba2c2). It worked.
I tested ubuntu with frr 9e1ecdbaa, It failed.

There is a commit 9c0cbabb42de562e32b33e72e11f4570e73a7857 or (54bea4e5379e6b4e9fd7db52d5e5a3780aae349c) (because of different branch with rebase)
This commit fixed this issue.

Please update the branch that contains this commit.
Thanks a lot

commit 9c0cbabb42de562e32b33e72e11f4570e73a7857
Author: Donald Sharp <sharpd@cumulusnetworks.com>
Date:   Mon Jan 20 16:53:34 2020 -0500

    zebra: Re-add onlink flag due to loss in earlier commit

    commit: 0eb97b860dc94329cf9add9f8f3d3a2c7f539568

    Removed this chunk of code in zebra:
    -       if (ifp)
    -               if (connected_is_unnumbered(ifp))
    -                       SET_FLAG(nexthop->flags, NEXTHOP_FLAG_ONLINK);

    Effectively if we had a NEXTHOP_TYPE_IPV4_IFINDEX we would
    auto set the onlink flag.  This commit dropped it for some reason.

    Add it back in an intelligent manner.

    Signed-off-by: Donald Sharp <sharpd@cumulusnetworks.com>
c-po added a comment.Feb 19 2020, 6:48 AM

HI @tjjh89017,

I have just pinned the VyOS 1.3-rolling branch to the official FRR 7.3 release (https://github.com/vyos/vyos-build-frr/commit/076de23ed1d951aafd48d59f6f7ea410288b5991 - which contains your fix).
A new ISO image will be available shortly (it must be more recent then vyos-1.3-rolling-202002190217-amd64.iso. Please give it a try.

(07:45) cpo helix:~/frr [master] # git tag --contains 9c0cbabb42de562e32b33e72e11f4570e73a7857
frr-7.3
c-po changed the task status from Open to Needs testing.Feb 19 2020, 6:49 AM
c-po claimed this task.
c-po triaged this task as Normal priority.
c-po added a project: VyOS 1.3 Equuleus.

Hi @c-po

I tested vyos-1.3-rolling-202002200217-amd64.iso
It works now.
Thanks for help!

c-po closed this task as Resolved.Feb 20 2020, 7:15 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mar 1 2020, 10:37 AM